CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > Software User Forums > OpenFOAM > OpenFOAM Installation

[OpenFOAM.org] Is it necessary compile ThirdParty?

Register Blogs Members List Search Today's Posts Mark Forums Read

Reply
 
LinkBack Thread Tools Search this Thread Display Modes
Old   May 14, 2017, 16:54
Default Is it necessary compile ThirdParty?
  #1
gu1
Senior Member
 
Guilherme
Join Date: Apr 2017
Posts: 155
Rep Power: 4
gu1 is on a distinguished road
Hello,

I use OF 4.1 for my researchs. However, I need to install OF 3.0.x, which is required for the installation of CFDEM.
Can I only install OF 3.0.x? Not compiling the ThirdParty.
If I want to run a case in OF 3.0.x, can I? Under these installation conditions.
gu1 is offline   Reply With Quote

Old   May 27, 2017, 07:37
Default
  #2
Super Moderator
 
Bruno Santos
Join Date: Mar 2009
Location: Lisbon, Portugal
Posts: 10,942
Blog Entries: 42
Rep Power: 121
wyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to allwyldckat is a name known to all
Quick answers:
  1. It is possible, but it depends on the features that you are planning on using with OpenFOAM 3.0.x.
  2. If you plan on decomposing the cases by using Scotch, then you need to at least build Scotch by using the one on "ThirdParty-3.0.x".
  3. ParaView doesn't need to be built. You can use the one from 4.1 on another terminal.
  4. You can have multiple installations, by following the instructions given here: https://openfoamwiki.net/index.php/I...nFOAM_versions
__________________
wyldckat is offline   Reply With Quote

Reply

Tags
installation guide, installation of openfoam, openfoam, openfoam 3.0.x, thirdparty

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are Off
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
[foam-extend.org] paraview not runing? (foam extended 3.2 and ubuntu 15.04) Milan2013 OpenFOAM Installation 23 April 20, 2017 06:49
[OpenFOAM.org] Installing OpenFOAM 2.3.1 on Mint 17 - ThirdParty stuff not seeming to compile MikeHersee OpenFOAM Installation 2 January 4, 2015 06:32
Thirdparty mesquite-2.1.2 compile fix for newer gcc kmooney OpenFOAM Bugs 3 May 10, 2012 10:27
PV3FoamReader compile error.... PEM_GUY OpenFOAM Installation 6 April 5, 2010 18:22
Can someone PLEASE document the development version installation bernd OpenFOAM Installation 76 November 14, 2008 22:51


All times are GMT -4. The time now is 09:49.